export interface Tab {
  status?: string
  statusName?: string
  quantity?: number
}

export interface SearchForm {
  status?: string | null
  factorySubOrderNumber?: string
  factoryOrderNumber?: string
  shipmentNumber?: string
  order?: string
  prop?: string
  shopNumber?: string
  shopNumbers?: string[]
  sku?: string
  timeType?: number | null
  startTime?: string | null
  endTime?: string | null
  internalMemo?: string
}
export interface OrderData {
  id: number
  moreable: boolean
  thirdOrderNumber: string
  factoryOrderNumber: string
  factoryOnlineId: number | null
  factoryNo: number | null
  factoryCode: string | null
  status: string | number
  weight: number | null
  outCurrencyCode: string | null
  factoryProductAmount: number | null
  thirdProductAmount: number | null
  productAmount: number | null
  carriageAmount: number | null
  totalAmount: number | null
  productNum: number | null
  trackStatus: string | null
  finishTime: string | null
  paymentTime: string | null
  startStockingTime: string | null
  lanshouName: string | null
  lanshouPhone: string | null
  lanshouRegion: string | null
  lanshouAddress: string | null
  lanshouPost: string | null
  manuscriptUrl: string | null
  manuscriptStatus: number | null
  createTime: string | null
  updateTime: string | null
  remark: string | null
  userMark: string | null
  namespace: string | null
  productList: ProductList[]
  internalMemoList: string | null
}

export interface ProductList {
  id: number
  podOrderId?: number
  thirdSubOrderNumber?: string
  factorySubOrderNumber?: string
  shopNumber?: string
  baseSku?: string
  productName?: string
  variantSku?: string
  variantImage?: string
  imageAry?: string
  designImages?: string
  process?: string
  num?: number
  shipmentNu?: number
  costPrice?: number
  price?: number
  processPrice?: number
  weight?: number
  version?: number
  remark?: string
  createTime?: string
  updateTime?: string
}
export interface ShipmentOrderRes {
  factoryOrderNumber?: string
  thirdSubOrderNumber?: string
  sendOutQuantity?: number
  version?: number
  namespace?: string
}
export interface PodDeliveryNoteSearchForm {
  startTime?: string
  endTime?: string
  shipmentNumber?: string
  factoryOrderNumber?: string
  factorySubOrderNumber?: string
  shippingWay?: number
  logisticsTracking?: string
  lanshouName?: string
  sku?: string
  userMark?: string
}
export interface DeliveryNoteData {
  id: number
  factoryOrderNumber?: string
  factoryNo?: number
  shipmentNumber?: string
  shipmentUid?: string
  shippingWay?: number
  carriageAmount?: string
  carriageName?: string
  logisticsTracking?: string
  shippingStatus?: string
  lanshouName?: string
  lanshouPhone?: string
  lanshouRegion?: string
  lanshouAddress?: string
  lanshouPost?: string
  updateTime?: string
  createTime?: string
  shipmentDetails?: ShipmentDetail[]
}

export interface ShipmentDetail {
  id: number
  shipmentId?: number
  podOrderId?: number
  podOrderNumber?: string
  subOrderNumber?: string
  baseSku?: string
  variantSku?: string
  variantImage?: string
  shipmentNum?: number
  updateTime?: string
  createTime?: string
}
export interface LogListData {
  id: number
  bizId?: number
  userId?: number
  employeeName?: string
  description?: string
  createTime?: string
}
export interface LogListData {
  id: number
  bizId?: number
  userId?: number
  employeeName?: string
  description?: string
  createTime?: string
}
